<template>
  <section class="home">
    <Header/>

    <div class="container content">
      <div class="scroll">
        <div class="box" v-for="(repair, id) in comments" :key="`repair-${id}`">
          <div class="box-item">
            <span class="bold">Работа</span><span>{{ repair.comment_text }}</span>
          </div>

          <div class="comments">
            <div class="comment-item no-line">
              <span class="comment-id bold">Отзывы</span>
            </div>
            <div class="comment-item" v-for="(comment, key) in repair.comment" :key="`comment-${key}`">
              <span class="comment-id">{{ comment.comment_id }}</span>
              <span class="comment-text">{{ comment.comment_text }}</span>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</template>

<script>

import Header from "@/components/Header";

export default {
  name: 'Comments',

  components: {
    Header
  },

  async created() {
    if (!sessionStorage.getItem('token')) await this.$router.push('/')
    this.comments = await this.getComments
  },

  data() {
    return {
      comments: []
    }
  },

  computed: {
    async getComments() {
      let myHeaders = new Headers();
      myHeaders.append("Authorization", "Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiIzIiwianRpIjoiODE4ODIzYmE1OWVmYTdhODYxMDA1MjE0ZWY1MzAyN2Y4ZWRhMDE0OWZjY2NmZDEyMzI1YmQzYTQ0NWM2ZWFkYmNhYzczNGRhNzIxNTM3MDQiLCJpYXQiOjE2NTA2NTk1NTIuMjI2NTQsIm5iZiI6MTY1MDY1OTU1Mi4yMjY1NDksImV4cCI6MTY4MjE5NTU1Mi4yMjExMTQsInN1YiI6IjIiLCJzY29wZXMiOltdfQ.AVOasvhS-8x1n_KMJY6QW5dLbAzz5DdJoEE3JcbPReH_CdCH3w8WtNbpXYArHApgfn02vo7KxgEo5weOpuI1AoGaSuS3lUxSu2bLmbj42B6I3o7ngzWOdy3eWl4lg0Ja53EKaWu0oGIQC0BJcEe2_j7bpLe2Xt6hlv6KLRVo_qrj3BJ3fIJNlfgMDBwkIotwCw9aV1XXtQ8nM4mPP3O9mzw66COVVRgiEUpqdtgFbBSUhBV-mgIpUHc_jUPEh9jpOa1yB07HfyLvmFqunHpeo0aXvftkshd9X_YKMqMIIoK99cjG909xYug6l8AmtUEn0x3ZovNIF5etFPCHBmFa98bIsglE3DkK9cqOtgfM7TmF_FKwZ0urtBhVZIiPpQqmae6wMPcEgkKowindBaO85mO13Pqclsm0Gsxgua39MBWUp3_1kbAI9XrBl1Yrh9Q1gdkIomQjiGrAzW8Yt734CylanC5kN7JQ3DNUWVc2pvkBNyyjur2NBZV5FlgLwoTCDcNVgn4uoQAv32Hjz2qLys3x1zmJsKCRlDLWgW1L6pOzk9VFzhB3Wz7E_As8WR4NnnaO3TE6--rtKozeiCMTZrdOZOv6JX4O33ZaYxQKLNmH-m04DOQAlsRmxwj54Y1XDAIlHeWqjWS6nxmyeDf3jrz6CsF4VtJSUdkP07OTK_0");
      return await this.$api(this.$store.state.api_route.baseUrl + this.$store.state.api_route.comments, 'GET', null, myHeaders)
    }
  },

  methods: {}
}
</script>

<style scoped lang="scss">

.home {
  width: 100%;
  height: 100%;
}

.content {
  padding: 2rem 0;
  height: 90%;

  .scroll {
    width: 100%;
    height: 100%;
    overflow-y: auto;
    margin-top: 1rem;
  }

  .box {
    display: flex;
    flex-direction: column;
    width: calc(100% - 1rem);
    margin: 2rem 0;

    &-item {
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-between;
      border: 1px solid #000;
      //margin: .5rem 0;

      span {
        width: 50%;
        padding: 1rem;
        border-left: 1px solid #000;

        &:first-child {
          border-left: none;
        }
      }
    }

    .comments{
      margin-top: .5rem;
      display: flex;
      flex-direction: column;

      .comment-item{
        max-width: 70%;
        padding: .5rem;
        margin-bottom: 1rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
        border-bottom: 1px solid #000;

        span{
          width: 50%;
        }

        .comment-id{
          width: 10%;
        }

        .comment-text{
          width: 90%;
        }

      }


      .no-line{
        border-bottom: none;
      }
    }

    .link {
      span {
        cursor: pointer;
      }
    }
  }
}

.bold {
  font-weight: bold;
  color: gray;
}

</style>